# -*- coding: utf-8 -*-
from turtle import *
from math import *

# On paramètre la fenêtre
fenetre = Screen()    
fenetre.setup(1020, 620)
fenetre.setworldcoordinates(-0.66,-0.66,21.3,12.53)

#On paramètre la piste de ski
piste=Turtle()
register_shape("Piste.gif")
piste.shape("Piste.gif")
piste.speed(0)
piste.goto(10.33,5.93)

#On paramètre le skieur
skieur = Turtle() 
skieur.pensize(3)
skieur.pencolor('blue')
skieur.speed(0)
skieur.up()
register_shape("Skieur.gif")
skieur.shape("Skieur.gif")

####################### LE TRAVAIL COMMENCE ICI #######################

def f(x):  #Modélisation de la piste de ski sur l'intervalle [0;20]
  return -0.0006*x**4+0.0265*x**3-0.32*x**2+0.26*x+11

pas=5
x=5                     #Abscisse initiale du skieur
skieur.goto(x,f(x))     #Positionnement initial du skieur
skieur.down()           #On abaisse le crayon pour visualiser la descente
skieur.speed(1)         #On règle la vitesse du skieur (mode lent)
  
while x<15:             #On se déplace
  x=x+pas               #Abscisse du prochain point
  skieur.goto(x,f(x))   #Le skieur se rend à ce nouveau point


#######################################################################
fenetre.mainloop()
